Mlxconfig does not install

Running Ubuntu 20.04 LTS
4 MCX4121A-ACAT Cards

Attempting to install these cards with DPDK support. Following the steps listed here: Installing MLNX_OFED - MLNX_OFED v5.5-1.0.3.2 - NVIDIA Networking Docs

I have tried reinstalling several times, using this command: ./mlnxofedinstall --without-dkms --add-kernel-support --kernel 5.13.0-39-generic --dpdk --without-fw-update --force

When I try to use the mlxconfig tool, it is not found. I have restarted etc. It does not appear to be installed in /usr/bin/ either. These are the only packages installed:

-rwxr-xr-x 1 root root 7208 Dec 31 2012 mlnx_conf_mgr.sh
-rwxr-xr-x 1 root root 8058 Apr 12 2021 mlnx_dump_parser
-rwxr-xr-x 1 root root 14268 Dec 31 2012 mlnx_interface_mgr.sh
-rwxr-xr-x 1 root root 4545 Apr 12 2021 mlnx_perf
-rwxr-xr-x 1 root root 19209 Apr 12 2021 mlnx_qos
-rwxr-xr-x 1 root root 16108 Apr 12 2021 mlx_fs_dump

Output:Note: This program will create MLNX_OFED_LINUX TGZ for ubuntu20.04 under /tmp/MLNX_OFED_LINUX-5.5-1.0.3.2-5.13.0-39-generic directory.
See log file /tmp/MLNX_OFED_LINUX-5.5-1.0.3.2-5.13.0-39-generic/mlnx_iso.6787_logs/mlnx_ofed_iso.6787.log

Checking if all needed packages are installed…
Building MLNX_OFED_LINUX DEBS . Please wait…
Creating metadata-rpms for 5.13.0-39-generic …
WARNING: If you are going to configure this package as a repository, then please note
WARNING: that it is not signed, therefore, you need to set ‘trusted=yes’ in the sources.list file.
WARNING: Example: deb [trusted=yes] file:/ ./
Created /tmp/MLNX_OFED_LINUX-5.5-1.0.3.2-5.13.0-39-generic/MLNX_OFED_LINUX-5.5-1.0.3.2-ubuntu20.04-ext.tgz
Removing old packages…
Uninstalling the previous version of MLNX_OFED_LINUX
Installing /tmp/MLNX_OFED_LINUX-5.5-1.0.3.2-5.13.0-39-generic/MLNX_OFED_LINUX-5.5-1.0.3.2-ubuntu20.04-ext
/tmp/MLNX_OFED_LINUX-5.5-1.0.3.2-5.13.0-39-generic/MLNX_OFED_LINUX-5.5-1.0.3.2-ubuntu20.04-ext/mlnxofedinstall --force --without-dkms --without-dkms --kernel 5.13.0-39-generic --dpdk --without-fw-update --force
Logs dir: /tmp/MLNX_OFED_LINUX.367183.logs
General log file: /tmp/MLNX_OFED_LINUX.367183.logs/general.log

Below is the list of MLNX_OFED_LINUX packages that you have chosen
(some may have been added by the installer due to package dependencies):

ofed-scripts
mstflint
mlnx-tools
mlnx-ofed-kernel-utils
mlnx-ofed-kernel-modules
rdma-core
libibverbs1
ibverbs-utils
ibverbs-providers
libibverbs-dev
librdmacm1
rdmacm-utils
librdmacm-dev
libibumad3
ibacm
python3-pyverbs

This program will install the MLNX_OFED_LINUX package on your machine.
Note that all other Mellanox, OEM, OFED, RDMA or Distribution IB packages will be removed.
Those packages are removed due to conflicts with MLNX_OFED_LINUX, do not reinstall them.

Checking SW Requirements…
Removing old packages…
Installing new packages
Installing ofed-scripts-5.5…
Installing mstflint-4.16.0…
Installing mlnx-tools-5.2.0…
Installing mlnx-ofed-kernel-utils-5.5…
Installing mlnx-ofed-kernel-modules-5.5…
Installing rdma-core-55mlnx37…
Installing libibverbs1-55mlnx37…
Installing ibverbs-utils-55mlnx37…
Installing ibverbs-providers-55mlnx37…
Installing libibverbs-dev-55mlnx37…
Installing librdmacm1-55mlnx37…
Installing rdmacm-utils-55mlnx37…
Installing librdmacm-dev-55mlnx37…
Installing libibumad3-55mlnx37…
Installing ibacm-55mlnx37…
Installing python3-pyverbs-55mlnx37…
Selecting previously unselected package mlnx-fw-updater.
(Reading database … 216252 files and directories currently installed.)
Preparing to unpack …/mlnx-fw-updater_5.5-1.0.3.2_amd64.deb …
Unpacking mlnx-fw-updater (5.5-1.0.3.2) …
Setting up mlnx-fw-updater (5.5-1.0.3.2) …

Added 'RUN_FW_UPDATER_ONBOOT=no to /etc/infiniband/openib.conf

Skipping FW update.
Device (17:00.0):
17:00.0 Ethernet controller: Mellanox Technologies MT27710 Family [ConnectX-4 Lx]
Link Width: x8
PCI Link Speed: 8GT/s

Device (17:00.1):
17:00.1 Ethernet controller: Mellanox Technologies MT27710 Family [ConnectX-4 Lx]
Link Width: x8
PCI Link Speed: 8GT/s

Device (31:00.0):
31:00.0 Ethernet controller: Mellanox Technologies MT27710 Family [ConnectX-4 Lx]
Link Width: x8
PCI Link Speed: 8GT/s

Device (31:00.1):
31:00.1 Ethernet controller: Mellanox Technologies MT27710 Family [ConnectX-4 Lx]
Link Width: x8
PCI Link Speed: 8GT/s

Device (b1:00.0):
b1:00.0 Ethernet controller: Mellanox Technologies MT27710 Family [ConnectX-4 Lx]
Link Width: x8
PCI Link Speed: 8GT/s

Device (b1:00.1):
b1:00.1 Ethernet controller: Mellanox Technologies MT27710 Family [ConnectX-4 Lx]
Link Width: x8
PCI Link Speed: 8GT/s

Device (ca:00.0):
ca:00.0 Ethernet controller: Mellanox Technologies MT27710 Family [ConnectX-4 Lx]
Link Width: x8
PCI Link Speed: 8GT/s

Device (ca:00.1):
ca:00.1 Ethernet controller: Mellanox Technologies MT27710 Family [ConnectX-4 Lx]
Link Width: x8
PCI Link Speed: 8GT/s

Installation passed successfully
To load the new driver, run:
/etc/init.d/openibd restart
root@ts-Whitley:/mnt# etc/init.d/openibd restart
bash: etc/init.d/openibd: No such file or directory
root@ts-Whitley:/mnt# sudo /etc/init.d/openibd restart
Unloading HCA driver: [ OK ]
Loading HCA driver and Access Layer: [ OK ]

Hello,

The Mellanox Firmware Tools (MFT) suite containing the mlxconfig utility, and can be downloaded and installed separately as needed.

Download:

Installation Guide and Additional Documentation:
https://docs.nvidia.com/networking/display/MFTv4180/Compilation+and+Installation

Thank you,
-Nvidia Network Support

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.